/*  CodeEdit -:-  (C)opyright 2001-2002 Andreas Engh-Halstvedt
 *  AEdit -:-     (C)opyright 2000-2002 Kristian Van Der Vliet
 *  AEdit -:-     (C)opyright 2004-2006 Jonas Jarvoll
 *  CodeEdit -:-  (C)opyright 2011-2012 David Kent
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details. 
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __EDITVIEW_H_
#define __EDITVIEW_H_

#include <util/string.h>
#include <gui/rect.h>
#include <gui/point.h>
#include <gui/menu.h>

#include <appwindow.h>
#include <codeview/codeview.h>


class EditView : public cv::CodeView
{
public:
	EditView( const os::Rect& cFrame, AppWindow* pcMain );

	virtual void AttachedToWindow( void );
	virtual void MouseDown( const os::Point& cPosition, uint32 nButtons );
	virtual void KeyDown( const char* pzString, const char* pzRawString, uint32 nQualifiers );

	int Find( os::String zOriginal, os::String zFind, bool bCaseSensitive, int nStartPosition );
	void Undo();
	void Redo();
	int GetLineCount();
	os::String GetLine( int32 nLineNo );
	void MouseUp( const os::Point& cPosition, uint32 nButtons, os::Message* pcData );

private:
	AppWindow *pcMainWindow;
	os::Menu* pcContextMenu;
};

#endif /* __EDITVIEW_H_ */
