/*  CodeEdit -:-  (C)opyright 2001-2002 Andreas Engh-Halstvedt
 *  AEdit -:-     (C)opyright 2000-2002 Kristian Van Der Vliet
 *  AEdit -:-     (C)opyright 2004-2006 Jonas Jarvoll
 *  CodeEdit -:-  (C)opyright 2011-2012 David Kent
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details. 
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include "main.h"
#include "settings.h"


AppWindow* App::pcAppWindow = NULL;

App::App( int argc, char* argv[] ) : Application("application/x-CodeEdit")
{
	pcAppWindow = new AppWindow();

	// If we do not have any arguments open empty buffer
	if( argc < 2 )
	{
		pcAppWindow->CreateNewBuffer();
	}
	else
	{
		for( int i = 1; i < argc; i++ )
			pcAppWindow->Load( argv[i] );
	}

	pcAppWindow->Show();
	pcAppWindow->MakeFocus();
}

int main(int argc, char* argv[])
{
	App *app = new App(argc, argv);
	app->Run();

	return(0);
}
