/*  CodeEdit -:-  (C)opyright 2001-2002 Andreas Engh-Halstvedt
 *  AEdit -:-     (C)opyright 2000-2002 Kristian Van Der Vliet
 *  AEdit -:-     (C)opyright 2004-2006 Jonas Jarvoll
 *  CodeEdit -:-  (C)opyright 2011-2012 David Kent
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details. 
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include <gui/view.h>
#include <util/invoker.h>

#include "mytabview.h"
#include "appwindow.h"


MyTabView::MyTabView( const os::Rect& cFrame, AppWindow* pcMain ) : os::TabView( cFrame, "appwindow_tab_view", os::CF_FOLLOW_ALL, os::WID_WILL_DRAW )
{
	pcAppWindow = pcMain;
}

void MyTabView::Paint( const os::Rect& cUpdate )
{
	// Check if there is any tabs attached
	if( os::TabView::GetTabCount() < 1 )
	{
		// Draw nice background if there is not any tabs attached
		FillRect( cUpdate, get_default_color(os::COL_NORMAL) );
	}
	else
		os::TabView::Paint(cUpdate);
}

// We implement this function to be able to do drag and drop of files
void MyTabView::MouseUp( const os::Point& cPosition, uint32 nButtons, os::Message* pcData )
{
	if( pcData != NULL )
		pcAppWindow->DragAndDrop(pcData);
	else
		os::TabView::MouseUp( cPosition, nButtons, pcData );
}
