/*  CodeEdit -:-  (C)opyright 2001-2002 Andreas Engh-Halstvedt
 *  AEdit -:-     (C)opyright 2000-2002 Kristian Van Der Vliet
 *  AEdit -:-     (C)opyright 2004-2006 Jonas Jarvoll
 *  CodeEdit -:-  (C)opyright 2011-2013 David Kent
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details. 
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __SETTINGS_H_
#define __SETTINGS_H_

#include <gui/rect.h>

#include <string>

class AppSettings
{
	public:
		AppSettings(void);
		~AppSettings();

		void SetWindowPos( os::Rect cPosition );
		os::Rect GetWindowPos(void);
		void SetSaveOnExit( bool bSave );
		bool GetSaveOnExit(void);

		int Load(void);
		int Save(void);
		
	private:
		std::string zSettingsFile;

		os::Rect cWindowPosition;
		bool bSaveOnExit;
};

//#define CODEEDIT_SETTINGS_PATH "/config/codeedit.cfg"

#define ESETTINGSCREATE	1
#define ESETTINGSWRITE 	2
#define ESETTINGSSTAT	3
#define ESETTINGSREAD	4

#endif /* __SETTINGS_H_ */
